> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/zh/vast/custom-tracking-urls.md).

# VAST 自定义跟踪 URL

## 定义

包装器广告可能包含任意数量的跟踪 URL，以便广告活动可以从 InLine 响应中投放，但与展示分开跟踪。它还可以包含跟踪元素，用于分别跟踪 Linear 或 NonLinear 的观看或事件。提供 Wrapper Ad 响应的服务器可能无法准确知道在 InLine 广告中下游将交付哪些创意元素；在这种情况下，Wrapper 应包含占位符，以表示可在视频播放器中播放的最大创意集合。

自定义跟踪 URL 有 2 个参数：

* `event` 要跟踪的事件名称。 `creativeView` 在存在时应始终请求。
  * 同一事件可以添加多次，但每个都应具有 **唯一 URI**.
* `url` 用于在播放期间跟踪各种事件的 URI。
  * 同一 URI 可以添加多次，但每个都应具有 **唯一事件**.
  * URL 只应具有 ***https*** 协议。

## 示例

```xml
<Tracking id="custom_1" event="creativeView"><![CDATA[https://mytrackingsolution.com/vregister.php?a=vview&tracking_event=creativeView&idzone=22222&data=abcd]]></Tracking>
```

## 支持的跟踪事件 `tracking_event` 用于 `创意` > `线性` > `TrackingEvents` > `跟踪` 在 VAST 标签（链接）或 VAST 包装器标签（链接）中

| 事件               | 说明               |
| ---------------- | ---------------- |
| creativeView     | 当创意被展示时触发。       |
| start            | 当线性广告开始播放时触发。    |
| midpoint         | 当线性广告到达中点时触发。    |
| firstQuartile    | 当线性广告到达第一四分位时触发。 |
| thirdQuartile    | 当线性广告到达第三四分位时触发。 |
| 完成               | 当线性广告到达结束点时触发。   |
| mute             | 当线性广告被静音时触发。     |
| unmute           | 当线性广告取消静音时触发。    |
| pause            | 当线性广告暂停时触发。      |
| rewind           | 当线性广告倒回时触发。      |
| resume           | 当线性广告恢复播放时触发。    |
| fullscreen       | 当线性广告处于全屏状态时触发。  |
| expand           | 当线性广告展开时触发。      |
| collapse         | 当线性广告收起时触发。      |
| acceptInvitation | 当线性广告被接受时触发。     |
| close            | 当线性广告关闭时触发。      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/zh/vast/custom-tracking-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
